/*
 *	NEWS-0.4.4 - RSS Feed Ticker - Copyright (C) Emmanuel Thomas-Maurin 2009-2010
 *	< manutm007@gmail.com >
 *
 * 	This program is free software: you can redistribute it and/or modify
 * 	it under the terms of the GNU General Public License as published by
 * 	the Free Software Foundation, either version 3 of the License, or
 * 	(at your option) any later version.
 *
 * 	This program is distributed in the hope that it will be useful,
 * 	but WITHOUT ANY WARRANTY; without even the implied warranty of
 * 	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * 	GNU General Public License for more details.
 *
 * 	You should have received a copy of the GNU General Public License
 * 	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "news.h"

#if USE_GUI
const char *help_str0[] = {
"USER INTERFACE MAIN FEATURES: \n\n",

"To open the main menu, click on ? at the left of the ticker.\n",

"Alternatively, you can use keyboard shortcuts:\n\n",

"- <Alt>? to open the main menu\n\n"

"- <Ctrl>R to open the RSS Feed Picker window (to choose a feed or to\n",
"  subscribe to a new one.)\n\n",

"- <Ctrl>P to open the Preferences window.\n\n",

"- <Ctrl>B to open the link displayed inside the ticker (in the middle.)\n\n",

"- <Ctrl>J to play the feed / <Ctrl>K to pause / <Ctrl>L to reload.\n\n",

"- <Ctrl>U (speed Up) / <Ctrl>D (speed Down) to adjust scrolling speed on\n",
"  the fly.\n\n",

"- F1 to open the Quick Help window.\n\n",

"- <Ctrl>H to launch the Online Help\n\n",


"After install, you can set up 2 quite useful parameters in the\n",
"Preferences window (<Ctrl>P):\n\n",

"- Window always on top -> check this if you want the ticker to always\n",
"stay above the browser (and the other windows.)\n\n",

"- Window - not decorated -> if you want only a ticker.\n\n\n",


"COMMAND LINE REFERENCE:\n\n",

NULL};
#endif

const char *help_str1[] = {
	"NEWS-"APP_VERSION_NUMBER" - RSS Feed Ticker - Copyright (C) Emmanuel Thomas-Maurin 2009-2010\n",
	"< manutm007@gmail.com >\n\n",
	"News-"APP_VERSION_NUMBER" is a RSS Feed Ticker / Reader that displays feeds in a ticker bar\n",
	"on your desktop. Clicking on any text inside the ticker will open its link in\n",
	"your favourite browser.\n\n",
	"Usage:\n",
	"        news [-help / -license / -instance-id=n / -dumpfontlist]\n"
	"             [options (-name[=value])...] [resource (file name or URL)]\n\n",
	"        help                           Get this help page\n",
	"        license                        Print out License\n",
	"        instance-id=n                  n = 1 to 99 - Use this when launching\n",
	"                                       several instances simultaneously, each\n",
	"                                       instance using its own config and dump\n",
	"                                       files (to be effective, instance-id must\n",
	"                                       be the 1st argument)\n",
	"        dumpfontlist                   Send list of available fonts to stdout\n\n",
	"Options:\n",
	"        delay=n                        Delay in milliseconds\n",
	"        shiftsize=n                    Shift size in pixels\n",
	"        fgcolor=#rrggbbaa              Foreground 32-bit hex color\n",
	"        bgcolor=#rrggbbaa              Background 32-bit hex color\n",
	"        fontname='fontname'            Font name\n",
	"        fontsize=n                     Font size (can't be > 200)\n",	/* check this is up to date */
	"        win_x=n                        Window position - x\n",
	"        win_y=n                        Window position - y\n",
	"        win_w=n                        Window width\n",
	"        win_h=n                        Window height (compute font size if > 0)\n",
	"        windec=y/n                     Window decoration\n",
	"        alwaysontop=y/n                Window always-on-top\n",
	"        wintransparency=n              Actually window opacity\n",
	"                                       (0 = none -> 10 = full)\n",
	"        shadow=y/n                     Apply or not shadow to text\n",
	"        shadowoffset_x=n               Shadow x offset in pixels\n",
	"        shadowoffset_y=n               Shadow y offset in pixels\n",
	"        shadowfx=n                     Shadow effect (0 = none -> 10 = full)\n",
	"        linedelimiter='str'            String to be appended at end of line\n",
	"        cutlinedelimiter='str'         String to be appended after a cut line\n",
	"        rssrefresh=n                   Refresh rate in minutes (if no TTL\n",
	"                                       inside feed)\n",
	"        rsstitle=y/n                   Show or hide title\n",
	"        rsstitledelimiter='str'        String to be appended after title\n",
	"        rssdescription=y/n             Show or hide description\n",
	"        rssdescriptiondelimiter='str'  String to be appended after description\n",
	"        homefeed='str'                 Set URL as 'homefeed' = homepage.\n",
	"                                       (Don't save automatically so a little\n",
	"                                       bit useless...)\n",
	"        openlinkcmd='str'              'Open in Browser' command line:\n",
	"                                       Application that will open active link\n",
	"                                       (may require path.) Most likely will\n",
	"                                       invoke your favourite browser\n",
	"        openlinkargs='str'             'Open in Browser' optional arguments\n",
	"        clock=l/r/n                    Clock - left, right or none\n",
	"        clockfontname='fontname'       Clock font name\n",
	"        clockfontsize=n                Clock font size (can't be > ticker\n",
	"                                       height)\n",
	"        clockfgcolor=#rrggbbaa         Clock foreground 32-bit hex color\n",
	"        clockbgcolor=#rrggbbaa         Clock background 32-bit hex color\n",
	"        specialchars=y/n               Enable or disable special characters.\n",
	"                                       This is only useful when resource is a\n",
	"                                       file, not an URL\n",
	"        newpgchar=c                    'new page' special character\n",
	"        tabchar=c                      'tab' (8 spaces) special character\n\n",
	"There is no preset for 'Open in Browser' in the Preferences window, so you\n",
	"should set this parameter to link the ticker to your favourite browser.\n\n"
	"You can open a link by clicking the text inside the ticker. Alternatively,\n",
	"you can type <Ctrl>B. When doing so, be aware that the link to be open will \n",
	"be the one located in the middle of the ticker area.\n\n",
	"News parses command line arguments and looks for option(s) then for one\n",
	"resource, the rest of the line is ignored. It reads too configuration file\n",
#ifndef G_OS_WIN32
	"'news_conf' located in <user home directory>/.news/ if it exists (or\n",
	"'news_conf<n>' if an instance id has been set to n.)\n\n",
#else
	"'news_conf' located in <Application Data directory>News/ if it exists (or\n",
	"'news_conf<n>' if an instance id has been set to n.)\n\n",
#endif
	"Command line options override configuration file ones which override default\n",
	"ones.\n\n",
	"Compiled with GTK+ and Libxml2 on "__DATE__" - "__TIME__"\n",
	"\nVisit "APP_WEBSITE" for more info.\n",
	NULL};

const char *license_str1[] = {
	"NEWS version "APP_VERSION_NUMBER" - Copyright (C) Emmanuel Thomas-Maurin 2009-2010\n\n",
	"NEWS is free software: you can redistribute it and/or modify\n",
	"it under the terms of the GNU General Public License as published by\n",
	"the Free Software Foundation, either version 3 of the License, or\n",
	"(at your option) any later version.\n\n",
	"NEWS is distributed in the hope that it will be useful,\n",
	"but WITHOUT ANY WARRANTY; without even the implied warranty of\n",
	"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n",
	"GNU General Public License for more details.\n\n",
	"You should have received a copy of the GNU General Public License\n",
	"along with this program.  If not, see ",
	NULL};

const char *license_str2 =
	"<http://www.gnu.org/licenses/>\n";
